<?php
// Admin Configuration Items
  define('MODULE_PAYMENT_GPS_TEXT_ADMIN_TITLE', 'Gateway Processing Services'); // Payment option title as displayed in the admin

  if (MODULE_PAYMENT_GPS_STATUS == 'True') {
    define('MODULE_PAYMENT_GPS_TEXT_DESCRIPTION', (MODULE_PAYMENT_GPS_TESTMODE != 'Production' ? '<br /><br />Testing Info:<br />Visa#: 4111111111111111<br />MC#:5431111111111111 <br />Discover#: 6011601160116611<br />AMEX#: 341111111111111<br />Check#: 123123123<br />Routing#: 123123123<br /><br /><b>Note:</b> These credit card numbers will return a decline in live mode, and an approval in test mode.  Any future date can be used for the expiration date and any 3 or 4 (AMEX) digit number can be used for the CVV Code.<br /><br />To cause a declined message, pass an amount less than 1.00.<br />To trigger a fatal error message, pass an invalid card number.<br />To simulate an avs mismatch, pass 888 in the address1 field and 77777 for zip.<br />To simulate CVV mismatch, pass 999 in the cvv field.<br /><br />' : ''));
  } else {
 define('MODULE_PAYMENT_GPS_TEXT_DESCRIPTION', 'Gateway Processing Services Payment Module');
  }
  define('MODULE_PAYMENT_GPS_TEXT_ERROR_CURL_NOT_FOUND', 'CURL functions not found - required for GPS payment module');

// Catalog Items
  define('MODULE_PAYMENT_GPS_CK_TEXT_CATALOG_TITLE', 'E-Check');  // Payment option title as displayed to the customer
  define('MODULE_PAYMENT_GPS_CK_TEXT_BANK_ROUTING_CODE', 'ABA Routing Number:');
  define('MODULE_PAYMENT_GPS_CK_TEXT_BANK_ACCOUNT_NUM', 'Bank Account Number:');
  define('MODULE_PAYMENT_GPS_CK_TEXT_BANK_ACCOUNTHOLDER', 'Name on the Account:');  
  define('MODULE_PAYMENT_GPS_TEXT_CATALOG_TITLE', 'Credit Card');  // Payment option title as displayed to the customer
  define('MODULE_PAYMENT_GPS_TEXT_CREDIT_CARD_TYPE', 'Credit Card Type:');
  define('MODULE_PAYMENT_GPS_TEXT_CREDIT_CARD_OWNER', 'Cardholder Name:');
  define('MODULE_PAYMENT_GPS_TEXT_CREDIT_CARD_NUMBER', 'Credit Card Number:');
  define('MODULE_PAYMENT_GPS_TEXT_CREDIT_CARD_EXPIRES', 'Expiration Date:');
  define('MODULE_PAYMENT_GPS_TEXT_CVV', 'CVV Number:');
  define('MODULE_PAYMENT_GPS_TEXT_POPUP_CVV_LINK', 'What\'s this?');
  define('MODULE_PAYMENT_GPS_TEXT_JS_CC_OWNER', '* The owner\'s name of the credit card must be at least ' . CC_OWNER_MIN_LENGTH . ' characters.\n');
  define('MODULE_PAYMENT_GPS_TEXT_JS_CC_NUMBER', '* Invalid credit card number.\n');
  define('MODULE_PAYMENT_GPS_TEXT_JS_CC_CVV', '* The 3 or 4 digit CVV number must be entered from the back of the credit card.\n');
  define('MODULE_PAYMENT_GPS_TEXT_JS_CK_NUMBER', '* Invalid account number.\n');
  define('MODULE_PAYMENT_GPS_TEXT_JS_CK_ROUTING_NUMBER', '* Invalid routing number.\n');
  define('MODULE_PAYMENT_GPS_TEXT_DECLINED_MESSAGE', '<p style="text-align:center; font-size:1.25em;"><a href="' . zen_href_link(FILENAME_SHOPPING_CART, '', 'SSL', true, false) . 
         '" onmouseover="this.style.color=\'white\'" onmouseout="this.style.color=\'blue\'"><strong><u>Please click here to retry your payment.</u></strong></a></p>');
  define('MODULE_PAYMENT_GPS_TEXT_ERROR', 'Credit Card Error!');
  define('MODULE_PAYMENT_GPS_TEXT_AUTHENTICITY_WARNING', 'WARNING: Security hash problem. Please contact store-owner immediately. Your order has *not* been fully authorized.');
  define('MODULE_PAYMENT_GPS_TEXT_DEFAULT_URL', base64_decode('c2VjdXJlLm5taS5jb20='));

// admin tools:
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_BUTTON_TEXT', 'Do Refund');
  define('MODULE_PAYMENT_GPS_TEXT_REFUND_CONFIRM_ERROR', 'Error: You requested to do a refund but did not check the Confirmation box.');
  define('MODULE_PAYMENT_GPS_TEXT_INVALID_REFUND_AMOUNT', 'Error: You requested a refund but entered an invalid amount.');
  define('MODULE_PAYMENT_GPS_TEXT_CC_NUM_REQUIRED_ERROR', 'Error: You requested a refund but didn\'t enter the last 4 digits of the Credit Card number.');
  define('MODULE_PAYMENT_GPS_TEXT_REFUND_INITIATED', 'Refund Initiated. Transaction ID: %s - Auth Code: %s');
  define('MODULE_PAYMENT_GPS_TEXT_CAPTURE_CONFIRM_ERROR', 'Error: You requested to do a capture but did not check the Confirmation box.');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_BUTTON_TEXT', 'Do Capture');
  define('MODULE_PAYMENT_GPS_TEXT_INVALID_CAPTURE_AMOUNT', 'Error: You requested a capture but need to enter an amount.');
  define('MODULE_PAYMENT_GPS_TEXT_TRANS_ID_REQUIRED_ERROR', 'Error: You need to specify a Transaction ID.');
  define('MODULE_PAYMENT_GPS_TEXT_CAPT_INITIATED', 'Funds Capture initiated. Amount: %s.  Transaction ID: %s - Auth Code: %s');
  define('MODULE_PAYMENT_GPS_ENTRY_VOID_BUTTON_TEXT', 'Do Void');
  define('MODULE_PAYMENT_GPS_TEXT_VOID_CONFIRM_ERROR', 'Error: You requested a Void but did not check the Confirmation box.');
  define('MODULE_PAYMENT_GPS_TEXT_VOID_INITIATED', 'Void Initiated. Transaction ID: %s - Auth Code: %s ');


  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_TITLE', '<strong>Refund Transactions</strong>');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND', 'You may refund money to the customer\'s credit card here:');
  define('MODULE_PAYMENT_GPS_TEXT_REFUND_CONFIRM_CHECK', 'Check this box to confirm your intent: ');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_AMOUNT_TEXT', 'Enter the amount you wish to refund');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_CC_NUM_TEXT', 'Enter the last 4 digits of the Credit Card you are refunding.');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_TRANS_ID', 'Enter the original Transaction ID:');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_TEXT_COMMENTS', 'Notes (will show on Order History):');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_DEFAULT_MESSAGE', 'Refund Issued');
  define('MODULE_PAYMENT_GPS_ENTRY_REFUND_SUFFIX', 'You may refund an order up to the amount already captured.');

  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_TITLE', '<strong>Capture Transactions</strong>');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE', 'You may capture previously-authorized funds here:');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_AMOUNT_TEXT', 'Enter the amount to Capture: ');
  define('MODULE_PAYMENT_GPS_TEXT_CAPTURE_CONFIRM_CHECK', 'Check this box to confirm your intent: ');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_TRANS_ID', 'Enter the original Transaction ID: ');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_TEXT_COMMENTS', 'Notes (will show on Order History):');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_DEFAULT_MESSAGE', 'Settled previously-authorized funds.');
  define('MODULE_PAYMENT_GPS_ENTRY_CAPTURE_SUFFIX', 'Captures must be performed within 30 days of the original authorization. You may only capture an order ONCE. <br />Please be sure the amount specified is correct.<br />If you leave the amount blank, the original amount will be used instead.');

  define('MODULE_PAYMENT_GPS_ENTRY_VOID_TITLE', '<strong>Voiding Transactions</strong>');
  define('MODULE_PAYMENT_GPS_ENTRY_VOID', 'You may void any transaction which has not yet been settled.');
  define('MODULE_PAYMENT_GPS_TEXT_VOID_CONFIRM_CHECK', 'Check this box to confirm your intent:');
  define('MODULE_PAYMENT_GPS_ENTRY_VOID_TEXT_COMMENTS', 'Notes (will show on Order History):');
  define('MODULE_PAYMENT_GPS_ENTRY_VOID_DEFAULT_MESSAGE', 'Transaction Cancelled');
  define('MODULE_PAYMENT_GPS_ENTRY_VOID_SUFFIX', 'Voids must be completed before the original transaction is settled in the daily batch.');

